== Changelog ==

= 2.5.3 - FEB 16 2026 =
- Improved: Demo Import: Dynamic menu location assignment after import.
- Improved: Demo Import: Conditional step validation of the import workflow.

= 2.5.2 - NOV 24 2025 =
- Added: Metabox Settings: Compatibility for the upcoming WordPress 6.9 version.
- Updated: Compatibility: WordPress: Upcoming 6.9 version.
- Fixed: Compatibility: PHP: 8.4: Fatal error on license activation: PHP Fatal error:  Uncaught Error: Attempt to modify property "error" on array in .../wp-content/plugins/ocean-extra/includes/client-migration/class-fs-client-migration-abstract.php:836

= 2.5.1 - SEP 16 2025 =
- Added: New Installation Wizard for regular website template (demo) import.
- Updated: Freemius SDK to version 2.12.2.
- Improved: Customizer: Custom JS: Output sanitization.
- Improved: Installation Wizard: Checkbox clicks extended to the entire wrapper.
- Fixed: Widgets: Social Share: WhatsApp API URL.
- Removed: Old Setup Wizard Files.

= 2.5.0 - AUG 28 2025 =
- Fixed: Potential vulnerability patched: Report by Wordfence from Aug 27th. Shoutout to the Wordfence team for the patch verification and confirmation.

= 2.4.9 - JUN 2 2025 =
- Fixed: Potential vulnerability patched: Report by Patchstack from MAY 26th 2025. Shoutout and a thanks to the Patchstack team for patch test and confirmation.

= 2.4.8 - MAY 14 2025 =
- NEW: Setup Wizard for new installations.
- Updated: Preparations to remove old/previous Wizard files with next updates.
- Updated: Preparations to add new regular site templates (demos) import with next updates.

= 2.4.7 - APR 21 2025 =
- Updated: Compatibility: WordPress version number.
- Fixed: Potential vulnerability patched: Report by Wordfence from APR 11th 2025 (1/3).
- Fixed: Potential vulnerability patched: Report by Wordfence from APR 11th 2025 (2/3).
- Fixed: Potential vulnerability patched: Report by Wordfence from APR 11th 2025 (3/3).

= 2.4.6 - APR 03 2025 =
- Added: Ocean Extra version constant for future updates.
- Updated: Ocean Extra Copyright information.

= 2.4.5 - FEB 27 2025 =
- Added: Codes for the upcoming plugin.
- Added: Turnstile integration for Popup Login and Elementor Widgets.
- Fixed: Freemius SDK: PHP 8+ Warning: strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated.
- Fixed: Freemius SDK: PHP 8+ Warning: str_replace(): Passing null to parameter #3 ($subject) of type array|string is deprecated.

= 2.4.4 - JAN 27 2025 =
- Added: Notice for OceanWP compatibility and min requirements for future releases.
- Updated: Compatibility: Freemius SDK to version 2.11.0
- Updated: Compatibility: WordPress version.

= 2.4.3 - NOV 27 2024 =
- Added: Compatibility: WordPress: Bottom margin styles for wp.components.SelectControl is deprecated since version 6.7 and will be removed in version 7.0.
- Added: Compatibility: WordPress: Bottom margin styles for wp.components.BaseControl is deprecated since version 6.7 and will be removed in version 7.0.
- Added: Compatibility: WordPress: Bottom margin styles for wp.components.TextControl is deprecated since version 6.7 and will be removed in version 7.0.
- Fixed: Plugin installation error on some instances "Installation failed; Destination folder already exists.".
- Fixed: Customizer: Site Preloader: Typo error for "Default Text".

= 2.4.2 - OCT 29 2024 =
- Updated: Freemius SDK: version 2.9.0
- Updated: Compatibility: WordPress: version number.
- Fixed: Customizer: New Customizer panels: not displayed on some instances utilizing a child theme.

= 2.4.1 - OCT 21 2024 =
- Fixed: OceanWP Metabox Settings: Logo: Customizer logo doesn't get overridden on individual level (main Customizer logo always displayed).
- Fixed: OceanWP Customizer: General Options tab not displayed with OceanWP version 3.6.1 and lower.
- Fixed: Plugin Update Notice: Breaking layout display in the plugins area on multisite.

= 2.4.0 - OCT 16 2024 =
- NEW: Customizer: Library upgraded to default WordPress ReactJS.
- NEW: Customizer: User Interface.
- Added: Customizer: Main panel icons for improved visual navigation and user experience.
- Added: Customizer: Panel grouping based website role for improved visual navigation and user experience.
- Added: OceanWP Panel: Customizer: New panels users can disable / enable per need for faster loading and visual navigation.
- Removed: Customizer: Legacy PHP Controls.
- Removed: OceanWP Panel: Customizer: Panels: Legacy panels.

= 2.3.1 - OCT 11 2024 =
- Added: Conditional checks for future updates.
- Updated: Compatibility: WordPress version number.

= 2.3.0 - JUL 03 2024 =
- Fixed: Potential vulnerability patched: Report by Patchstack from June 25th 2024.
Updated: WordPress version for compatibility.

= 2.2.9 - JUN 05 2024 =
- Fixed: Potential vulnerability patched: Wordfence report from Jun 3rd 2024. A special thanks goes towards the Wordfence team for doublechecking everything as always.
- Fixed: WordPress Widgets: Flickr: if widget in use more than once on a page, images display with a single widget only.
- Fixed: Customizer: Console error while Customizer in use: Store "core / interface" is already registered.

= 2.2.8 - MAY 22 2024 =
- Added: Additional support for the oceanwp_post_id() function.
- Added: Support for new functionality for Ocean Hooks 2.1.1 version.
- Updated: Freemius SDK to 2.7.2 version.
- Updated: Compatibility: WordPress version.

= 2.2.7 - APR 08 2024 =
- Fixed: Potential vulnerability patched: Wordfence report from Apr 3rd 2024. A special thanks goes towards the Wordfence team for doublechecking everything as always.

= 2.2.6 - MAR 12 2024 =
- Added: Shortcode: [oceanwp_icon]: New shortcode parameter "location" to differentiate the use of specific icon libraries.  https://docs.oceanwp.org/article/779-oceanwp-icon-shortcode
- Fixed: Theme: Lightbox feature remains enabled on Gutenberg Gallery block even if disabled via Customize > General Options > Performance. Requires the latest version of the OceanWP theme.

= 2.2.5 - FEB 14 2024 =
- Improved: Metabox Settings: Conditional logic for backend asset loading.
- Fixed: PHP Warning: in_array() expects parameter 2 to be array, null given in .../ocean-extra/includes/post-settings/post-settings.php on line 134
- Fixed: Potential vulnerability patched. Report by Wordfence from Feb 6th 2024.

= 2.2.4 - DEC 11 2023 =
- Updated: Font Awesome Library to 6.5.1 version.
- Updated: Woo Fragments function: Check Woo Cart Total and Woo Cart Items Count.
- Fixed: Missing Dependencies: oceanwp-butterbean script.
- Fixed: Load Google Fonts Locally: incorrect check on default state.
- Fixed: Shortcode: oceanwp_breadcrumbs: JSON error on saving when shortcode in use.
- Fixed: Shortcode: oceanwp_woo_cart: JSON error on saving when shortcode in use.
- Deprecated: Google+ social option from related custom OceanWP legacy WordPress widgets.

= 2.2.3 - NOV 27 2023 =
- Fixed: Potential vulnerability patched. Report by Patchstack from Nov 23rd 2023.

= 2.2.2 - NOV 14 2023 =
- Added: Metabox Settings: Image Gallery support when Classic Editor plugin is in use.

= 2.2.1 - OCT 18 2023 =
- Fixed: Facebook Widget: PHP Notice: Undefined index: like_args, stream and force_wall.
- Fixed: Twitter Widget: PHP Notice: Undefined index: username.
- Fixed: Mailchimp Widget: Updated API.
- Fixed: LearnDash: Compatibility with new sidebar metabox.
- Fixed: LifterLMS: Compatibility with new sidebar metabox.

= 2.2.0 - SEP 6 2023 =
- NEW: Metabox Settings Interface: https://docs.oceanwp.org/category/826-oceanwp-settings
- Added: Compatibility: PHP8.2+: Menu icons.
- Updated: Compatibility: WordPress version number.

= 2.1.8 - JUL 19 2023 =
- Updated: Freemius SDK 2.5.10 version.

= 2.1.7 - MAY 23 2023 =
- Added: Compatibility: SiteOrigin: Custom templates support.
- Added: Compatibility: PHP 8.2.6: Creation of dynamic property Ocean_Extra::$plugin_path, Ocean_Extra::$plugin_url and ButterBean::$post_id is deprecated.
- Tweak: JS Minify library replaced with JS Shrink for outputting custom JS from the Customizer.
- Fixed: Uncaught Error: Undefined constant "OCEANWP_CSS_DIR_URI".
- Removed: Redundant files for deprecated features such as Push Monkey notifications etc.

= 2.1.6 - APR 10 2023 =
- Updated: Widgets: MailChimp: widget rewritten, CURL method replaced with wp_remote_get.
- Fixed: OceanWP Panel: Customizer: Styling import doesn't function.
- Fixed: Fatal error: Uncaught Error: Class 'OceanWP_Customizer_Range_Control' not found in /plugins/ocean-extra/includes/preloader/customizer.php:224.

= 2.1.5 - APR 5 2023 =
- Updated: Freemius SDK to 2.5.6 version.
- Updated: Open Graph: Order of items returned.
- Fixed: Undefined array key "page" in /ocean-extra/includes/panel/theme-panel.php on line 45
- Fixed: Undefined array key "page" in /ocean-extra/includes/panel/demos.php on line 944

= 2.1.4 - FEB 22 2023 =
- Fixed: Shortcodes: [oceanwp_woo_free_shipping_left]: Shortcode displaying HTML when a user reaches the free shipping threshold.

= 2.1.3 - FEB 13 2023 =
- Fixed: Shortcodes: Search: Potential vulnerability patch: WPscan report #5932906 and Patchscan report #2023-24399.
- Fixed: Shortcodes: Woo Free Shipping Left: Potential vulnerability patch: WPscan report #5932906 and Patchscan report #2023-24399.
- Fixed: Shortcodes: My Library templates shortcode: Potential vulnerability patch: WPscan report #5932906. A personal thanks to Erwan Le Rousseau from the WPscan team for the above and beyond assistance, patience and guidance on this matter.
- Improved: Shortcodes: All shortcodes code revision.
- Removed: Old theme panel files.

= 2.1.2 - FEB 1 2023 =
- Fixed: Shortcodes: Breadcrumbs: Potential vulnerability patch: Patchstack report #2023-23891

= 2.1.1 - JAN 11 2023 =
- Fixed: Performance: Disable Widgets Styleesheet: Misconfigured button action.

= 2.1.0 - JAN 10 2023 =
- NEW: Adobe Fonts Integration: OceanWP Panel > Integration.
- NEW: Website Preloader: Customize > General Options.
- NEW: Disable Widgets Stylesheet: Customize > General Options > Performance: Disable stylesheet for legacy WordPress widgets included only in Ocean Extra plugin if widgets not in use.
- NEW: Disable Scroll Effect: Customize > General Options > Performance: Disable script for smooth scroll if not in use (used for anchor links).
- NEW: Custom Offset for Scroll Effect: Customize > General Options > Performance. Add custom offset value for the smooth scroll effect.
- Added: Typography: Preload locally-hosted Google Fonts: Customize > Typography > General.
- Added: Codes for the upcoming plugin.
- Updated: Language: Ocean Extra .pot file.
- Updated: Ocean Extra readme.txt file.
- Fixed: Ocean Gutenberg Blocks doesn't remove the Upgrade notice if it's the only premium plugin active.
- Fixed: Compatibility: PHP 8.1+: Notices for old Theme Panel.
- Fixed: Uncaught Error: Undefined constant "FS_CHMOD_DIR": Added additional check for default WP Constant "FS_CHMOD_DIR".


= 2.0.6 - NOV 9 2022 =
- NEW: Typography: Option to choose font format for local Google fonts feature (Customize > Typography > General).
- Fixed: Custom CSS: Custom Styling Location option doesn't store custom css.
- Updated: Plugin description.

= 2.0.5 =
- Fixed: Customizer Styling Import: Potential vulnerability patch: WPScan report #5596728.

= 2.0.4 =
- Fixed: Fatal error: Cannot redeclare oceanwp_webfonts_enqueue()

= 2.0.3 =
- NEW: OceanWP News Notification system.
- Added: Tyopgraphy: Host Google Fonts Locally. New option to appear in Customizer > Typography > General. Disabled by default.
- Added: Typography: Host Elementor Fonts Locally. New option to appear in Customizer > Typography > General. Disabled by default.
- Added: Option to install the OceanWP Child Theme. Option will appear in the OceanWP Panel.

= 2.0.2 =
- Fixed: My Library: Custom Template: dynamic blocks is not rendering in custom template.
- Fixed: Upgrade Notice Condition Fix.
- Fixed: Shortcode output fix.

= 2.0.1 =
- Fixed: Custom Templates: Content display issues when templates used on Elementor pages.
- Fixed: Clicking the "Opt in to make Ocean_Plugin_Name Better" link leads to old theme panel.
- Fixed: Warning: Use of undefined constant OCEANWP_THEME_VERSION.

= 2.0.0 =
- New: Theme Status: OceanWP theme update available notification.
- New: SVG Support for Media Library.
- New: Customizer Reset option.
- New: OceanWP Theme Changelog option.
- New: System Info option.
- New: Install default OceanWP child theme option.
- Added: Multiple OceanWP Theme Panel functionality.
- Added: OceanWP Theme Panel: Customizer Control: disable / enable Customizer sections created by Ocean free and pro extensions.
- Improved: OceanWP Theme Panel styling.
- Fixed: My Library: Shortcodes: Custom Template render issue with custom locations.
- Fixed: My Library: Import Wizard: Uncaught Error: Call to undefined function es_attr().
- Removed: Outdated non-standard CSS #349

= 1.9.5 =
- Fixed: Import Wizard: Code revision.
- Fixed: Import Wizard: Potential vulnerability patch: WPScan report #5224125.

= 1.9.4 =
- Updated: Freemius SDK.
- Fixed: Import Wizard error.
- Fixed: Metabox - TinyMce editor breaks occasionally when using HTML.

= 1.9.3 =
- Fixed: PHP 8 Compatibility: PHP Deprecated: Required parameter $max_depth follows optional parameter $children_elements.
- Fixed: TinyMC / Bootstrap Issue in Metaboxes: Unable to add / edit content.
- Fixed: Setup Wizard conditional: Message displayed to all roles instead just to website admins.
- Fixed: Occasional Fatal Error on Setup Wizard.

= 1.9.2 =
- Fixed: Minor issues.

= 1.9.1 =
- Updated: OceanWP Facebook group link in Theme Panel.

= 1.9.0 =
- New: Customizer Search: Enable / Disable option in Theme Panel.
- New: My Library support for Gutenberg.
- Updated: Meta Box: Styling.
- Fixed: Quick Setup.
- Deprecated: Widgets: Instagram widget.

= 1.8.3 =
- Added: Codes for the updated version of Ocean Pro Demos plugin.
- Added: Enabled support for php code editor with Gutenberg support for my library template.

= 1.8.2 =
- Updated: WPML translation config file: include ocean post layout.
- Updated: Notice on Theme Panel > Scripts and Styles: For disabling scripts see Customize > General Options > Performance.
- Updated: Code revision and improvement for widgets.
- Updated: Code revision and improvement for shortcodes: extract() function removed.

= 1.8.1 =
- Fixed: Widgets: Facebook: Issue on save.
- Fixed: PHP notices on deprecated icons.

= 1.8.0 =
- Improved: MailChimp Widget: Conditional script loading.
- Fixed: Minor issues.

= 1.7.9 =
- Fixed: Menu: Walker: Warnings related to PHP 8+ version.
- Fixed: Demo Import: minor bugs.
- Fixed: Setup Wizard: minor bugs.
- Fixed: Setup Wizard: admin notice position issue

= 1.7.8 =
- Added: Ocean Extra translation string filters.
- Improved: Accessibility: oceanwp_search shortcode.
- Improved: Accessibility: oceanwp_login shortcode.
- Improved: Accessibility: MailChimp widget.
- Improved: Accessibility: Recent Posts widget.
- Fixed: Shortcodes: oceanwp_search icon display issue.

= 1.7.7 =
- Fixed: Icon missing in About me widget.
- Fixed: PHP Deprecated: Required parameter $output follows optional parameter $depth in menu-walker.

= 1.7.6 =
- Added: OceanWP SVG icons.
- Added: Custom body classes in page level setting #329
- Added: New social option in about me and social icon widget.
- Added: New shortcode for the use of OceanWP SVG icons across website: [oceanwp_icon] - https://docs.oceanwp.org/article/779-oceanwp-icon-shortcode
- Added: All SVG icons - https://oceanwp.org/oceanwp-svg-icons/
- Fixed: Newsletter Widget - MailChimp failed subscription issue.

= 1.7.5 =
- Added: New demos
- Fixed: Demos images missing on the setup wizard
- Added: filter 'oe_icon_picker_image_mime_types_svg' to handle svg types.

= 1.7.4 =
- Updated: Freemius SDK version.
- Added: New demos

= 1.7.3 =
- Added: New demos

= 1.7.2 =
- Fixed: [oceanwp_login] shortcode: logout '404 page not found' error when WooCommerce enabled.
- Added: New shortcode to display the modified date on posts and pages: [oceanwp_last_modified]
- Added: New demos

= 1.7.1 =
- Added: New demos

= 1.7.0 =
- Fixed: PHP 8 compatibility with demo import.
- Added: New demo, Maria: https://maria.oceanwp.org/
- Added: New demo, Photos: https://photos.oceanwp.org/
- Updated: Freemius SDK version.

= 1.6.9 =
- Fixed: Demo import issue and Elementor page styling after import.

= 1.6.8 =
- Fixed: MailChimp Widget: failed subscription error.
- Fixed: WC_Cart->taxes is deprecated since version 3.2 error when oceanwp_woo_free_shipping_left shortcode is in use.
- Fixed: Broken demo images.

= 1.6.7 =
- Updated: Freemius SDK version.

= 1.6.6 =
- Fixed: Security issue - If $_REQUEST['_wpnonce'] is not set, it won't be checked.
- Fixed: Remove  5-star rating filter from review link.
- Fixed: PHP 7.4 notice - 'Trying to access array offset on value of type bool' in ocean-extra file.
- Fixed: jQuery notice - 'ready' function has been deprecated - metabox.js file.
- Updated: Freemius SDK version.

= 1.6.5 =
- Fixed: Data saving error - About Me widget.
- Removed: All affiliate links have been removed.

= 1.6.4 =
- Fixed: Missing Dependencies script 'butterbean'
- Fixed: Updated Mailchimp API
- Added: SEO Improvement - added "noopener noreferrer" tags when link opens in a new tab: Custom Links, About Me, Social Icons, Contact Info.
- Added: Accessibility Improvement - aria labels with warnings when link opens in a new tab: Custom Links, About Me, Social Icons, Contact Info.
- Added: Accessibility Improvement - aria-hidden on icons for following widgets: About Me, Social Icons, Contact Info.
- Added: Option to add a 'nofollow' link rel to following widgets: Custom Links, About Me, Social Icons, Contact Info.

= 1.6.3 =
- Fixed: Uncaught ReferenceError: butterbean is not defined
- Fixed: OceanWP javascripts doesn't execute on fast pages

= 1.6.2 =
- Fixed: [oceanwp_nav] error.

= 1.6.1 =
- Fixed: Shortocde [oceanwp_nav] is not working.

= 1.6.0 =
- Fixed: Freemius account details display.
- Added: Updated custom header nav widget with respect to theme for accessibitly.
- Updated: Freemius SDK for better account and license management.
- Fixed: [oceanwp_nav] shortcode mobile menu issue.
- Fixed: Theme Panel > Scripts & Styles - PHP 7.4 Warning message after disabling/enabling styles & scripts.
- Fixed: Replaced get_woocommerce_term_meta (deprecated) by get_term_meta.
- Added: Accessibility Improvement - Added 'aria-hidden' labels to the social icon widget.

= 1.5.20 =
- Fixed: Menu Icon Library: icon library loading blank.

= 1.5.19 =
- Fixed: Icon issue.
- Fixed: Compatibility with WP5.3

= 1.5.18 =
- Fixed: Fatal Error.

= 1.5.17 =
- Added: Updated to FontAwesome-5 to fix the version conflict.

= 1.5.16 =
- New: Added white-labeling capabilities for client installations.

= 1.5.15 =
- Fix: Fixed the WP Cron jobs issue.

= 1.5.14 =
- Update: Added special logging and troubleshooting for the migration logic.

= 1.5.13 =
- Fixed: Free label in Freemius.

= 1.5.12 =
- Fixed: Security issue.

= 1.5.11 =
- Added: Important codes for the Freemius switch.

= 1.5.10 =
- Fixed: Errors issue with the updater.php file.

= 1.5.8 =
- Tweak: Gutenberg support removed for the My Library post type to avoid conflict with Ocean Hooks.

= 1.5.7 =
- Added: Gutenberg support.

= 1.5.6 =
- Added: Some codes for an upcoming release.

= 1.5.5 =
- Tweak: Small improvement on the setup wizard.

= 1.5.4 =
- Tweak: Import demo improved.

= 1.5.3 =
- Fixed: White screen error with older PHP version.

= 1.5.2 =
- Fixed: White screen error.

= 1.5.1 =
- Added: Meta tags directly added to this plugin as it is not allowed in a theme.

= 1.5.0 =
- Added: Setup Wizard to help you to create very easily your website.
- Tweak: You can now select a post type for the [oceanwp_search] shortcode.
- Tweak: The WooCommerce shortcodes take into account the taxes calculation if activated.
- Fixed: Import issue with the contact form of the demos.
- Fixed: WPML issue to translate pages.
- Fixed: The MailChimp and Social Share JS files are now only loaded if the widgets are used on a post.
- Removed: First box in Theme Panel sidebar.

= 1.4.29 =
- Tweak: Some tweaks for an upcoming big update.

= 1.4.28 =
- Tweak: Notices will not be displayed if Ocean White Label is used (you don't need to update if you don't use this white label plugin).

= 1.4.27 =
- Added: Dismiss button for the theme panel rating box so you can easily remove it.

= 1.4.26 =
- Fixed: Missing CSS issue.

= 1.4.25 =
- Tweak: Contact Forms 7 replaced by WPForms for all free demos, which is a much better and flexible form plugin.

= 1.4.24 =
- Fixed: Issue with the [oceanwp_woo_free_shipping_left} shortcode.

= 1.4.23 =
- Fixed: White screen if PHP under 5.6 is used.

= 1.4.22 =
- Tweak: Slick script in Theme Panel > Scripts & Styles.

= 1.4.21 =
- Fixed: Issue with the About Me widget in the customizer.

= 1.4.20 =
- Added: New setting in OceanWP Settings to select a custom footer per page/post.
- Tweak: Sticky Header notice automatically removed if one premium extension is activated.

= 1.4.19 =
- Tweak: New setting for the Custom Menu widget to allow you to open the sub menus at the parent link hover or via an icon click.

= 1.4.18 =
- Fixed: issue with some shortcodes and Yoast SEO.

= 1.4.17 =
- Tweak: Theme Panel sidebar improved.

= 1.4.16 =
- Fixed: Social Share widget not displayed in the widget page.

= 1.4.15 =
- Added: New widget Social Share.
- Added: New premium extension Full Screen in the extensions page.

= 1.4.14 =
- Added: New premium extension "Ocean Cookie Notice" in the Extensions admin page.

= 1.4.13 =
- Tweak: MailChimp widget improved, you just need to add your MailChimp API Key and List ID in Theme Panel > Integration, and the form will don't redirect anymore.

= 1.4.12 =
- Added: Typography settings for the Menu in the OceanWP Settings metabox.
- Removed: Push Monkey integration, if you used it in the Theme Panel, you just need to install the official plugin: https://wordpress.org/plugins/push-monkey-desktop-push-notifications/

= 1.4.11 =
-Tweak: Theme Panel edited.

= 1.4.10 =
-Tweak: OceanWP dashboard widget display the theme version.

= 1.4.9 =
-Added: OceanWP News & Updates widget in the WordPress dashboard so you can see the latest news of the theme.
-Tweak: Licenses tab moved to an admin panel, more easier to access, Theme Panel > Licenses.
-Fixed: Color picker that close on Safari browser.
-Fixed: $hashtag and $blocked_users user variables not defined for the Instagram widget.
-Fixed: Mini cart issue on the Cart and Checkout page if the woo cart icon shortcode is used.

= 1.4.8 =
-Added: Switch button to easily check or un-check every script for the Scripts & Styles page.
-Added: Upload setting for the Instagram widget if you want to add a profile picture, as it is not possible anymore to get it from the username.
-Fixed: Instagram widget issue "Images not found".

= 1.4.7 =
-Fixed: Error in Theme Panel > Extensions.

= 1.4.6 =
-Fixed: 500 error on PHP 5.4.

= 1.4.5 =
-Tweak: The activation/deactivation of the scripts and styles work on every hosts now.
-Removed: Wishlist icon shortcode, with the TI WooCommerce Wishlist plugin you can use their "[ti_wishlist_products_counter]" shortcode, so if you use the theme shortcode, you need to replace it.
-Removed: Rec. Plugins in Theme Panel, it can be confusing for new users.

= 1.4.4 =
- Added: Cart icon shortcode.
- Added: Wishlist icon shortcode.
- Added: Twiiter widget.
- Fixed: Menu icons issue.
- Fixed: Font Awesome and Simple Line Icons styles was not disabled if no other styles was not un-checked.

= 1.4.3 =
- Added: Popup Login extension in Theme Panel > Extensions.

= 1.4.2 =
- Added: Core Extensions Bundle block in Theme Panel > Licenses, so now, you just need to add one license to activate all premium extensions.
- Fixed: Theme Panel issue with PHP 5.6.

= 1.4.1 =
- Fixed: Scripts & Styles issue on the Theme Panel page.
- Fixed: Licenses issue on mulsite, now you can enable your premium extensions licenses for all your subsites.

= 1.4.0 =
- Added: Integration with Push Monkey, see Theme Panel > Push Notifications.
- Added: Instagram and White Label extensions added in the extensions tab.
- Added: New options for the Contact Info widget to add a target to the links.
- Tweak: Better approch for the Scripts & Styles, now the files are automatically updated after the theme update, no need to do it manually.
- Fixed: Icons issue of the contact info widget on RTL.

= 1.3.10 =
- Fixed: Small issue on the Scripts & Styles page.

= 1.3.9 =
- Added: New fields in the Contact Info widget to allow you to add a URL for the Address, Phone and Mobile fields.
- Added: Three styles for the Contact Info widget, default, big icons and no icons.
- Deleted: Post tab in the OceanWP Settings metabox if it is not the Post post type.
- Deleted: Admin notice if OceanWP is not the theme used.

= 1.3.8 =
- Added: Color fields in the Social Icons widget.
- Added: Custom JS textarea in the customizer.
- Fixed: Issue with the breadcrumb shortcode in the elementor editor mode.
- Fixed: Issue with the color control on the OceanWP Settings metabox.
- Fixed: Issue with the Magnific Popup script when you disable a script in the Scripts and Styles page with external plugins who are using the same script.
- Fixed: Save button for the About Me and Social widgets.

= 1.3.7 =
- Fixed: Issue with some admin pages style.

= 1.3.6 =
- Added: Spanish language, thanks to Angel Julian Mena.
- Added: Filter to remove the admin notice to get Ocean Hooks.
- Tweak: The fields to enter your licenses key are now hidden so you can use them for your customers..
- Fixed: Page header, page header heading and breadcrumb issue if there disabled in the customizer and you want enable them per page/post.

= 1.3.5 =
- Added: OceanWP Settings metabox in Anywhere Elementor post type.

= 1.3.4 =
- Fixed: 500 error issue if you use an outdated OceanWP version.

= 1.3.3 =
- Added: New "Both Sidebars" layout in OceanWP Settings.
- Added: New option in OceanWP Settings to select a header per page/post, the header style options need to be set via the customizer.
- Added: New options in OceanWP Settings to add a different logo and retina logo per page/post.
- Added: New options in OceanWP Settings to add a different max width and max height for your logo per page/post.
- Added: New options in OceanWP Settings to add different parent menu items color per page/post.
- Added: New options in the Title tab in OceanWP Settings to disable the page title heading per page/post.
- Added: New shortcode to display the breadcrumb where you want: [oceanwp_breadcrumb].
- Added: Parallax Footer script in Theme Panel > Scripts & Styles, so you can disable it.
- Tweak: Scripts and styles files path.

= 1.3.2 =
- Added: Capabilities for the OceanWP Settings metabox with "manage_options" by default, you can change it with the "ocean_main_metaboxes_capabilities" filter.
- Tweak: Now you can add HTML code in the text field of the About Me widget.

= 1.3.1 =
- Fixed: Transparent header style issue in the edit mode of elementor.
- Fixed: Blog entries CSS issue.

= 1.3.0 =
- Added: Shortcode in the My Library post type, now you can create a template via this post type and insert it where you want via the Shortcodes tab of the OceanWP Settings metabox, work with any page builder.
- Added: Links Effect style in Scripts & Styles.

= 1.2.10 =
- Added: New "My Library" tab in Theme Panel, this post type will be used for your custom header, custom footer, custom error page, etc... The old way (pages select) still work but it is better to import your content directly into this new post type.
- Added: French translation, thanks a lot to Jean of freepixel.net.
- Tweak: Your posts can be displayed on the Recent Posts widget even if there is no thumbnails.
- Tweak: Improvement for the Scripts & Styles feature. If you see that your site's CSS is malfunctioning, go to your WordPress dashboard, click Theme Panel > Scripts & Styles, and click Save Changes. This will create a new JS and CSS files if you have disabled an JS or CSS field.

= 1.2.9 =
- Added: Portfolio extension in the Extensions tab.

= 1.2.8 =
- Fixed: Issue with the top bar menu with the center header style.

= 1.2.7 =
- Added: New Typography control for the metabox to use it in extensions.
- Fixed: JS error with the Fixed Footer script.

= 1.2.6 =
- Added: Admin notice.
- Tweak: Some code improvements.

= 1.2.5 =
- Fixed: Double lighbox icon on the single product images.

= 1.2.4 =
- Tweak: Code improvements for the metabox.

= 1.2.3 =
- Added: Ajax for the [oceanwp_woo_free_shipping_left] shortcode, now when you'll add a product on your cart, the free shipping left amount will updated automatically.
- Added: Review box instead of the affiliate box.

= 1.2.2.3 =
- Fixed: Mobile menu with the Custom Header Nav widget.

= 1.2.2.2 =
- Deleted: Customizer unnecessary sections.

= 1.2.2.1 =
- Fixed: Theme Panel issue.
- Fixed: Issue when disabling Font Awesome and Simple Line Icons, did not work anymore.

= 1.2.2 =
- Added: New way to add an icon for your menu items, now you can see available icons, change the size, put your icon before/after or above text, hide text, etc.
- Added: New "Rec. Plugins" tab in Theme Panel to easily allow you to install recommended plugins.
- Added: New "Shortcodes" tab in the OceanWP Settings metabox to allow you to add shortcodes before/after elements.
- Added: New "Breadcrumbs" tab and fields in the OceanWP Settings metabox to show/hide and customizer the breadcrumbs per page/post.
- Added: New WooCommerce shortcode "[oceanwp_woo_total_cart]" to display the total amount of your cart.
- Added: New WooCommerce shortcode "[oceanwp_woo_cart_items]" to display the total items number of your cart.
- Added: New WooCommerce shortcode "[oceanwp_woo_free_shipping_left]" to display the amount left to get free shipping.
- Fixed: Issue when you add the OceanWP widgets in your page with Elementor.
- Fixed: Issue with disabling customizer's panels via Theme Panel, if you have disabled customizer panels, you have to do it again, sorry for that.
- Fixed: Issue when you add HTML code in the content of the contact info widget.
- Tweak: Improved Theme Panel page.
- Tweak: Improved Extensions admin page.

= 1.2.1.2 =
- Fixed: WooCommerce CSS updated to fix the small issue with the products categories images.

= 1.2.1.1 =
- Fixed: Small issue with some scripts.

= 1.2.1 =
- Added: Scripts Panel tab to allow you to enable or disable any scripts from the theme to improve your loading speed, thank you a lot to Steeve Lefebvre for helping me with this.
- Added: New shortcode "[oceanwp_current_user]", see the [documentation](http://docs.oceanwp.org/article/433-oceanwpcurrentuser-shortcode).
- Added: Tags cloud widget, now you can add your own style (background, color, font size, text-transform, etc...).
- Tweak: Layouts names modified, from No Sidebar to Full Width and Full Screen to 100% Full Width.
- Fixed: Small issue with the Custom Menu widget.
- Deleted: oceanwp_insta_square image size, no need anymore.

= 1.2.0.1 =
- Fixed: Small issue with the post type select in the recent post widget.

= 1.2.0 =
- Added: All widgets have been added in this plugin because some things are not allowed in a theme.

= 1.1.9 =
- Added: New shortcodes: [see the documentation](http://docs.oceanwp.org/category/369-shortcodes)
- Tweak: The [ocean_logo] and [ocean_nav] shortcodes have changed to [oceanwp_logo] and [oceanwp_nav], so if you use its shortcodes on your site, you need to update them.

= 1.1.8 =
- Added: New fields to add image attributs for the background image of the page header.
- Added: Dynamic date shortcode: [see the documentation](http://docs.oceanwp.org/article/367-add-a-dynamic-date-in-the-footer-bottom)

= Added: 1.1.7 =
- Added: Ocean Sticky Footer in the extension tab.
- Tweak: Improvement of the licenses fields.

= 1.1.6 =
- Tweak: Select2 script replaced by Selective to prevent conflict.

= 1.1.5.1 =
- Fixed: Error 500 fixed.

= 1.1.5 =
- Added: Ocean Modal Window added in the extension tab.
- Fixed: Issue with select on the admin product page.

= 1.1.4.2 =
- Tweak: Color picker script moved to use it in all metaboxes.

= 1.1.4.1 =
- Tweak: Admin script loaded only when necessary.

= 1.1.4 =
- Fixed: Import issue with WordPress 4.7.1/4.7.2 bug affecting uploads.

= 1.1.3 =
- Added: New "Sidebar" section in the Theme Panel.
- Added: New "Ocean Hooks" and "Ocean Posts Slider" extensions in the extensions tab.
- Deleted: Posts Slider shorcode from this plugin, added directly into the free Ocean Posts Slider extension.

= 1.1.2 =
- Added: New settings to enabled/disabled the top bar, header, footer widgets and footer bottom per page or per post.
- Tweak: Large improvement of metabox options.

= 1.1.1 =
- Added: OceanWP Settings into the Library post type of Elementor.
- Added: Shortcodes for the custom header (available in OceanWP 1.1.1).

= 1.1.0 =
- Added: RTL support for the metaboxes.
- Added: Support OceanWP 1.1.
- Deleted: Custom CSS tab (Since version 1.0.9 the CSS is imported directly into the customizer).

= 1.0.9 =
- Tweak: Improvement of referral urls for affiliation.

= 1.0.8 =
- Added: New field in the Title tab in the metabox to add a custom color to the overlay title.
- Tweak: Improved style for the Import/Export tab.

= 1.0.7 =
- Added: New "Ocean Demo Import" extension in the extensions tab.

= 1.0.6 =
- Tweak: Improvement exporter settings.

= 1.0.5 =
- Added: New import/export tab to easily import or export your settings.

= 1.0.4 =
- Tweak: Modified capability to manage options for the Custom CSS tab.

= 1.0.3 =
- Added: New field in the OceanWP Settings meta box to add an overlay to the background image title.

= 1.0.2 =
- Added: New "Custom Sidebar" extension in the extensions tab.
- Added: New field in the Main tab in the metabox to add shorcode to the top of the page.
- Added: Posts Slider shortcode, see the documentation for more infos.

= 1.0.1 =
- Added: Add documentation link in the panel.

= 1.0.0 =
- Initial release.